Name:		meiga
Version:	0.4.3
Release:	12%{?dist}
Summary:	Easy to use tool to share selected local directories via web

Group:		Applications/Internet
License:	GPLv2+
URL:		http://meiga.igalia.com/
Source0:	http://meiga.igalia.com/packages/src/%{name}-%{version}.tar.gz

BuildRequires:	gnome-common
BuildRequires:	intltool
BuildRequires:	libtool
BuildRequires:	gtk2-devel
BuildRequires:	libsoup-devel
BuildRequires:	gupnp-devel
BuildRequires:	gssdp-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	desktop-file-utils
Requires:	dbus
Requires:	gtk2
Requires:	gupnp
Requires:	gssdp
Requires:	openssl
Requires:	hicolor-icon-theme

%description
Meiga is a lightweight, easy to use, network friendly and also
application friendly content server for desktop.
Client side does not need to install any software, as the
shared files can be accessed using web browser. The ultimate
goal is to serve as a common publishing point for desktop
applications, such as file manager, picture viewers or
music players

%package -n %{name}-kde
Summary: Meiga KDE integration package
Group: Applications/Internet
Requires: kde-filesystem
Requires: %{name}
%description -n %{name}-kde
Enables the Meiga KDE integration


%prep
%setup -q

%build
./autogen.sh
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor=""					\
		--delete-original					\
		--dir=$RPM_BUILD_ROOT%{_datadir}/applications		\
		$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
%find_lang %{name}

%post
touch --no-create %{_datadir}/pixmaps >&/dev/null || :

%postun
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/pixmaps >&/dev/null || :
fi


%files -f %{name}.lang
%{_bindir}/fwlocalip
%{_bindir}/fwlocaliface
%{_bindir}/fwfon
%{_bindir}/fwupnp
%{_bindir}/fwssh
%{_bindir}/fwssh-task
%{_bindir}/meiga
%{_bindir}/meigaserver
%{_bindir}/meiga-askpass
%{_bindir}/make-meiga-ssl-cert
%{_datadir}/nautilus-scripts/share-on-meiga
%{_datadir}/dbus-1/services/com.igalia.Meiga.service
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%doc AUTHORS COPYING ChangeLog MAINTAINERS README

%files -n %{name}-kde
%{_datadir}/apps/konqueror/servicemenus/%{name}-kde3.desktop
%{_datadir}/kde4/services/ServiceMenus/%{name}-kde4.desktop


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.3-11
- Escape macros in %%changelog

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.3-9
- Remove obsolete scriptlets

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Jan 28 2017 Rajeesh K V <rajeeshknambiar@fedoraproject.org> 0.4.3-5
- Fix RHBZ #1417270

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 20 2014 Rajeesh K Nambiar <rajeeshknambiar@fedoraproject.org> - 0.4.3-1
- New source with recent autotools. Fixes FTBFS RHBZ#1106183

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Feb 24 2013 Rajeesh K Nambiar <rajeeshknambiar@gmail.com> - 0.4.2-1
- New release 0.4.2
- Fixes build failure on Fedora 19 - RHBZ #914179
- Fix typo in description

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Jan 08 2012 Rajeesh K Nambiar <rajeeshknambiar@gmail.com> - 0.4.0-5
- Rebuild for GCC 4.7

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.4.0-4
- Rebuild for new libpng

* Fri Jun 17 2011 Peter Robinson <pbrobinson@gmail.com> 0.4.0-3
- rebuild for new gupnp/gssdp

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 08 2011 Rajeesh K Nambiar <rajeeshknambiar@gmail.com> - 0.4.0-1
- New upstream version
- Supports SSL, Password protection, Dynamic port change
- Dropped BR on Vala, introduced Requires on openssl

* Sat Dec 18 2010 Rajeesh K Nambiar <rajeeshknambiar@gmail.com> - 0.3.5-1
- Fix FTBS RHBZ# 660861
- Vala dropped Requires on gtk2-devel, so add it as BuildRequires here

* Sun Jun 06 2010 Rajeesh K Nambiar <rajeeshknambiar@gmail.com> - 0.3.4-1
- Update to new upstream release 0.3.4
- Redirection support for FON routers
- Modernized autotools configuration
- Startup notification
- Memory optimization for large files
- File size indication

* Sat Jun 05 2010 Rajeesh K Nambiar <rajeeshknambiar@gmail.com> - 0.3.3-1
- Fix for FTBFS RHBZ #599951 : Vala compiler segfault
- Added gnome-common as BR

* Mon Feb 08 2010 Rajeesh K Nambiar <rajeeshknambiar@gmail.com> - 0.3.2-1
- Doesn't use GtkBuilder anymore
- Files are now iterated instead of mmapped
- Fix for RHBZ #559390

* Sun Nov 15 2009 Rajeesh K Nambiar <rajeeshknambiar@gmail.com> - 0.3.1-2
- Split the KDE specific files into meiga-kde package
- Added --force to intltoolize in %%build

* Wed Nov 11 2009 Rajeesh K Nambiar <rajeeshknambiar@gmail.com> - 0.3.1-1
- Update to version 0.3.1

* Thu Oct 08 2009 Rajeesh K Nambiar <rajeeshknambiar@gmail.com> - 0.3.0-1
- Update to new version 0.3.0

* Tue Jul 28 2009 Rajeesh K Nambiar <rajeeshknambiar@gmail.com> - 0.2.1-2
- Update spec as per review comments

* Thu Jul 02 2009 Rajeesh K Nambiar <rajeeshknambiar@gmail.com> - 0.2.1-1
- Update to 0.2.1. Fixes issue with internal IP not finding in Fedora

* Fri Jun 26 2009 Rajeesh K Nambiar <rajeeshknambiar@gmail.com> - 0.2.0-1
- Initial package
